Skip to main content
POST
/
v1
/
customers
Create a customer
curl --request POST \
  --url https://api.done.app/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Body

application/json
external_id
string
required

Your internal identifier for this customer. Must be unique within your account.

Minimum string length: 1

Response

Customer created

id
string<uuid>
required
user_id
string<uuid>
required
external_id
string
required

Your internal identifier for this customer. Unique per API user.

created_at
string<date-time>
required